## com.ibm.lab.soln.editor.ui.actions
Class ShowTotalAction

    java.lang.Object
      |
      +--org.eclipse.jface.action.Action
            |
            +--com.ibm.lab.soln.editor.ui.actions.MiniSpreadsheetEditorAction
                  |
                  +--com.ibm.lab.soln.editor.ui.actions.ShowTotalAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

public class ShowTotalAction
extends MiniSpreadsheetEditorAction

Action to display the sum of all integer cells of the mini-spreadsheet.

Field Summary

Fields inherited from class com.ibm.lab.soln.editor.ui.actions.MiniSpreadsheetEditorAction
`editor`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, CHECKED, DESCRIPTION, ENABLED, IMAGE, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ShowTotalAction()`

Method Summary
`void` | `run()`

Methods inherited from class com.ibm.lab.soln.editor.ui.actions.MiniSpreadsheetEditorAction
`getMiniSpreadsheet, selectionChanged, setActiveEditor`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removeAcceleratorText, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowTotalAction

    public ShowTotalAction()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`
  See Also:
    `IAction.run()`